<?php
function data($timp_setat='',$timp_curent='',$imagine_data='')
{
global$domenii_statice;
if($timp_setat=='')
$timp_setat=$_SERVER['REQUEST_TIME'];
$textt='-';
$ziua=['duminică','luni','marți','miercuri','joi','vineri','sâmbătă'][date('w',$timp_setat)];
$luna=['','ianuarie','februarie','martie','aprilie','mai','iunie','iulie','august','septembrie','octombrie','noiembrie','decembrie'][date('n',$timp_setat)];
$ziuaa=date('d',$timp_setat);
$anul=date('Y',$timp_setat);
if(!$timp_curent)
{
$timpp=date('Ymd');
$timppp=date('Ymd',$timp_setat);
if($timppp==$timpp+2)
$ziua='poimâine';
if($timppp==$timpp+1)
$ziua='mâine';
if($timppp==$timpp)
$ziua='azi';
if($timppp==$timpp-1)
$ziua='ieri';
if($timppp==$timpp-2)
$ziua='alaltăieri';
if($timppp==$timpp+2||$timppp==$timpp+1||$timppp==$timpp||$timppp==$timpp-1||$timppp==$timpp-2)
{
$ziuaa='';
$luna='';
$anul='';
}
$textt='la';
}
return(!$imagine_data?'<img src="'.$domenii_statice[1].'calendar.png" alt="" width="16" height="16" />':'').$ziua.', '.$ziuaa.' '.$luna.' '.$anul.' '.$textt.' '.date('H:i:s',$timp_setat);
}